[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: problem

From: Eric Blake
Subject: Re: problem
Date: Fri, 02 Nov 2007 06:13:09 -0600
User-agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070728 Thunderbird/ Mnenhy/

Hash: SHA1

Please choose more descriptive subject lines for your mails.  If everyone
titled their mail "problem", developers lose the ability to filter on
threads that interest them.  And please consider replying to existing
threads, rather than starting a new one, when it is on the same subject.

According to Jyoti Bose on 11/1/2007 8:38 AM:
> i have upgraded the automake to 1.10 but this rpm -qa|grep automake 
> shows the older auto make only and also the same thing happens with 
> autoconf when i upgrade it to 2.61
> cd '/root/CTISwitch11-10/cgcctiswitch' && WANT_AUTOCONF_2_5="1"
> WANT_AUTOMAKE_1_6="1" gmake -f Makefile.dist

That WANT_AUTOMAKE_1_6 means that you still aren't using the latest
autotools for your particular project.

> acinclude.m4:538: error: m4_defn: undefined macro: _m4_divert_diversion
> autoconf/lang.m4:172: AC_LANG_RESTORE is expanded from...
> acinclude.m4:538: the top level

As I already explained in an earlier mail, this means that one of the
macros in your project is calling AC_LANG_RESTORE without first having
called AC_LANG_SAVE.  But without seeing your macros, I can't do any
further diagnosis.  Do you have a link to the project you are having
problems with?

> This communication, including any attachments,

Again, please consider using a different email account.  Disclaimers like
this tend to reduce the amount of response you will be given on a public list.

- --
Don't work too hard, make some time for fun as well!

Eric Blake             address@hidden
Version: GnuPG v1.4.5 (Cygwin)
Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org


reply via email to

[Prev in Thread] Current Thread [Next in Thread]